aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mate-menus/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2014-12-15 14:46:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-19 18:33:13 +0000
commit3162bac3a89080da4abc83042d02e619cd8e284f (patch)
treea7f141c683553d658213c1bace6abe59c42434b3 /testing/mate-menus/APKBUILD
parente588f68a84f1d6b710bd3ceedb212defd88989d1 (diff)
downloadaports-3162bac3a89080da4abc83042d02e619cd8e284f.tar.gz
aports-3162bac3a89080da4abc83042d02e619cd8e284f.tar.bz2
aports-3162bac3a89080da4abc83042d02e619cd8e284f.tar.xz
testing/mate-menus: new aport
Diffstat (limited to 'testing/mate-menus/APKBUILD')
-rw-r--r--testing/mate-menus/APKBUILD46
1 files changed, 46 insertions, 0 deletions
diff --git a/testing/mate-menus/APKBUILD b/testing/mate-menus/APKBUILD
new file mode 100644
index 0000000000..85c6d750ab
--- /dev/null
+++ b/testing/mate-menus/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=mate-menus
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="The libmate-menu library, the layout configuration files for the MATE menu, as well as a simple menu editor"
+url="https://github.com/mate-desktop/mate-menus"
+arch="all"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="$depends_dev libtool intltool glib-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+ find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="443781b2ac75a24646f5ec8cbc9ffca3 mate-menus-1.9.1.tar.xz"
+sha256sums="70a4b8a7cd15f1afa79fed762379f82f7c780677c474e2d44082ee1804017dfc mate-menus-1.9.1.tar.xz"
+sha512sums="fa42e33304c60e33d3c6aa73ab563e84b281278b1711d2b9b618e9987dee1b22f0eca83a39058a4b3abafc7f08bb106a2c3f67f7d144059e3d196ef942f16a74 mate-menus-1.9.1.tar.xz"